package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/9/8 9:25
 * @ClassName LeaveAreaRealVO
 * @Remark
 */
public class LeaveAreaRealVO {
    private String categoryCode;

    private String vehicle;

    private String leaveCategoryTime;

    private String lat;

    private String lon;

    private String placeName;

    private String gpsTime;

    private String duration;

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public String getLeaveCategoryTime() {
        return leaveCategoryTime;
    }

    public void setLeaveCategoryTime(String leaveCategoryTime) {
        this.leaveCategoryTime = leaveCategoryTime;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(String gpsTime) {
        this.gpsTime = gpsTime;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("LeaveAreaRealVO{");
        sb.append("categoryCode='").append(categoryCode).append('\'');
        sb.append(", vehicle='").append(vehicle).append('\'');
        sb.append(", leaveCategoryTime='").append(leaveCategoryTime).append('\'');
        sb.append(", lat='").append(lat).append('\'');
        sb.append(", lon='").append(lon).append('\'');
        sb.append(", placeName='").append(placeName).append('\'');
        sb.append(", gpsTime='").append(gpsTime).append('\'');
        sb.append(", duration='").append(duration).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
